For the complete documentation index, see llms.txt. This page is also available as Markdown.

Apply For a Card

This is a synchronous interface. Card production typically completes within 10 seconds. If the returned order status is not 'completed', you can either:

  • Check the status using the Query Apply Result API

  • Wait for our asynchronous callback notification

Request URI

POST /issuing/card/apply

Request Body

Refer to : common

Biz_data

Name
Type
Description

order_no*

string

Order number. Globally unique.

card_scheme*

integer

Card Schema.Fix Value:3

Refer to CardSchema

card_type*

integer

Card type.Refer to:CardType

card_bin

string

Card Bin .Optional value: 658704、 658705 .Default value: 658704

is_share_card

Boolean

Is Shard Card.Default value: false

shared_account_num

string

Shared Account Num

pay_account_num

string

Pay Account Number

initial_balance

string

Initial Balance

Default:USD

card_remark

string

Card Remark

card_limit.daily_transactions*

integer

Daily Transactions

If card_limit is not null,it is required

Tip: card_limit can be null

card_limit.single_amount*

string

Single Amount

If card_limit is not null ,it is required

Tip: card_limit can be null

card_limit.daily_amount*

string

Daily Amount

If card_limit is not null, it is required

Tip: card_limit can be null

card_limit.monthly_amount*

string

Monthly Amount

If card_limit is not null, it is required

Tip: card_limit can be null

card_limit.total_amount

string

Total Limit .Designed for share card

holder_id

long

Cardholder ID.

Options:

  1. Use Existing Cardholder

  • Provide a valid holder_id from your registered cardholders

  1. Create New Cardholder

  • Complete all cardholder information fields

  • Upload supporting KYC documents

  • Pass compliance verification

contact_id

long

Card Contact Id

Refer to Card Contact

holder.mobile*

string(16)

Mobile.Needs to add an international area code

holder.first_name*

string(50)

First name

holder.last_name*

string(50)

Last name

holder.id_no*

string(6-20)

ID number

holder.id_type*

integer

Refer to :IdType

holder.issuance_date

string

Format:yyyy-MM-dd

holder.expires_on

string

Format:yyyy-MM-dd

holder.email*

string(80)

Email

holder.birthday*

string

Date of Birth.Format: yyyy-MM-dd

holder.gender

integer

Refer to: Gender

holder.nationality_code*

string(2)

Nationality code

Refer to CountryCode

holder.address.line*

string(12-128)

The first line of the address.

Format:CHARSETS_4

holder.address.line2

string(128)

The second line of the address.

Format:CHARSETS_4

holder.address.postal_code*

string(4-8)

The address zip code, or postal code

holder.address.city_name*

string(4-80)

The address city

Format:CHARSETS_6

holder.address.state*

string(4-48)

The address state

Format:CHARSETS_6

holder.address.country_code*

string(2)

Country code.Refer to CountryCode

Request Example

Response

Name
Type
Description

card_id

long

Card ID

holder_id

long

Cardholder ID

holder_name

string

Cardholder name

order_no

string

Order number

order_status

integer

Order status.Refer to: OrderStatus

order_count

integer

Order count

card_token

string

Card token

card_pan

string

Card pan

card_scheme

integer

Card scheme

card_type

integer

Card type

is_share_card

boolean

Is share card

card_bin

string

Card Bin

Last updated